Name:		ix-asl-update
Summary:	InterNetX GmbH mod_security rule updater
Version:	0.1.8748
Release:	13.15
Url:		http://www.internetx.de
License:	GPLv2
Group:		System Environment
Source0:	%{name}-%{version}.tar
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?sl_version} || 0%{?redhat_version}
%if 0%{?rhel} >= 7
Requires:	cronie
BuildRequires:	cronie
%else
Requires:	vixie-cron
BuildRequires:	vixie-cron
%endif
%endif
%if 0%{?suse_version}
Requires:	cron
BuildRequires:	cron
%endif
Requires:	ix-mod_security
Requires:       iproute
BuildRequires:	ix-mod_security
BuildArch:	noarch

%description
ix-asl-update downloads mod_security rulesets for InterNetX GmbH managed server systems.

%prep
%setup -n %{name}-%{version}

%build

%install
%__install -D -m755 asl-update.sh %{buildroot}%{_sbindir}/ix-asl-update
%__install -D -m644 asl-update.cron %{buildroot}%{_sysconfdir}/cron.d/ix-asl-update
%__install -D -m644 ix-asl-update.conf %{buildroot}%{_sysconfdir}/ix-asl-update.conf
%__install -m755 -d %{buildroot}%{_sysconfdir}/asl
touch %{buildroot}%{_sysconfdir}/asl/whitelist
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/ix-asl-update
%{_sysconfdir}/cron.d/ix-asl-update
%dir %{_sysconfdir}/asl
%config(noreplace) %{_sysconfdir}/asl/whitelist
%config(noreplace) %{_sysconfdir}/ix-asl-update.conf

%changelog
* Tue Sep  6 2011 cs@linux-administrator.com
- try to pull source via src_service
* Sat Jul 23 2011 cs@linux-administrator.com
- update to svn revision 1024
* Fri Jul 22 2011 cs@linux-administrator.com
- update to svn revision 1019
- include asl-update.conf to overwrite defaults
- support more distributions
* Fri Jul 22 2011 cs@linux-administrator.com
- changed cron to update rulesets only on Monday to Thursday
* Wed Nov 24 2010 cs@linux-administrator.com
- initial package
